#include <neural.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
    Dataset train(
          "/home/sheridan/GoogleDrive/MATHIMATA/METAPTYXIAKO/MACHINE_LEARNING/MLPDATA/function.train");

    Dataset test(
          "/home/sheridan/GoogleDrive/MATHIMATA/METAPTYXIAKO/MACHINE_LEARNING/MLPDATA/function.test");
    neural mymlp;
    srand(1);
    mymlp.setTrainSet(&train);
    mymlp.setTestSet(&test);
    mymlp.setNWeights(10);
    mymlp.train();
    double trainError =mymlp.getTrainError();
    double testError  =mymlp.getTestError();
    double classError =mymlp.getClassError();
    printf("TrainError: %8.5lf TestError: %8.5lf ClassError: %8.5lf\n",
           trainError,testError,classError);
    for(int i=0;i<test.getpatterns();i++)
    {
        Data x=test.getpoint(i);
        double ox=mymlp.getOuput(x);
        double yx=test.gety(i);
        printf("%lf %lf %lf\n",x[0],ox,yx);
    }
    return 0;
}
