#ifndef NEURAL_H
#define NEURAL_H

#include <dataset.h>
class neural
{
private:
    Dataset *trainSet;
    Dataset *testSet;
    Data weight;
    Data classVector;
    double learningRate;
    int maxepochs;
    int nweight;
public:
    neural();
    void setTrainSet(Dataset *t);
    void setTestSet(Dataset *t);
    double getLearningRate();
    void setLearningRate(double x);
    int  getMaxEpochs();
    void setMaxEpochs(int m);
    void setWeights(Data w);
    Data getWeights();
    void setNWeights(int n);
    double sig(double x);
    double sigder(double x);
    double getOuput(Data pattern);
    double getClass(Data pattern);
    double getTrainError();
    double getTestError();
    double getClassError();
    void    train();
    Data    getDerivAtPoint(Data x);
    Data    getDeriv();
};

#endif // NEURAL_H
